import * as Generator from "../src/generator"


beforeAll(() => {

})

test("generateToken", () => {
    const tokens = []
    for(let i = 0; i < 1000; i++) {
        tokens.push(Generator.generateToken("Qumolama.d"))
    }

    expect(new Set(tokens).size === tokens.length).toBeTruthy()
})

test("uuid", () => {
    expect(Generator.uuid("test")).toBe("098f6bcd-4621-3373-8ade-4e832627b4f6")
})

test("noSymbolUUID", () => {
    expect(Generator.noSymboUUID("test")).toBe("098f6bcd462133738ade4e832627b4f6")
})

test("uuidToNoSymboUUID", () => {
    expect(Generator.uuidToNoSymboUUID("098f6bcd-4621-3373-8ade-4e832627b4f6")).toBe("098f6bcd462133738ade4e832627b4f6")
})

test("toSymboUUID", () => {
    expect(Generator.toSymboUUID("098f6bcd462133738ade4e832627b4f6")).toBe("098f6bcd-4621-3373-8ade-4e832627b4f6")
})